This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 119767 - disk druid clips cylinder numbers
disk druid clips cylinder numbers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
FC4
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-04-01 20:15 EST by Marty Shannon
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 18:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marty Shannon 2004-04-01 20:15:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030708

Description of problem:
Disk druid only permits 5 digits of cylinder number in the main
display, truncating on the right.  This leads to the appearance of
partitions having a lower End point than Start point.  Even with a
60GB drive, the symptom will be seen if there is free space at the end
of the drive and there is about 14GB allocated.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC2T2.
2. Delete all partitions.
3. Autopartition.
4. Observe start and end cylinder of each partition.
    

Actual Results:  Example:

/dev/hda1 1 203 99m ext3 /boot
/dev/hda2 204 8525 4095m vfat /mnt/wxpc
/dev/hda3 8526 29330 10239m ext3 /
FREESPACE 29331 11628 42795m FREESPACE


Expected Results:  Example:

/dev/hda1 1 203 99m ext3 /boot
/dev/hda2 204 8525 4095m vfat /mnt/wxpc
/dev/hda3 8526 29330 10239m ext3 /
FREESPACE 29331 116280 42795m FREESPACE

Additional info:
Comment 1 Jeremy Katz 2005-04-27 18:13:56 EDT
Fixed in CVS to give up to 6 digits.  We can't really fit more than that in the
width of the screen, though.

Note You need to log in before you can comment on or make changes to this bug.